## org.omg.GIOP
Class ReplyHeader_1_2

    java.lang.Object
      |
      +--org.omg.GIOP.ReplyHeader_1_2

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class ReplyHeader_1_2
extends java.lang.Object
implements IDLEntity

Struct definition : ReplyHeader_1_2

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`ReplyStatusType_1_2` `reply_status` Struct member reply_status
`int` `request_id` Struct member request_id
`ServiceContext[]` `service_context` Struct member service_context

Constructor Summary
`ReplyHeader_1_2()` Default constructor
`ReplyHeader_1_2(int request_id, ReplyStatusType_1_2 reply_status, ServiceContext[] service_context)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request_id

    public int request_id

  Struct member request_id

### reply_status

    public ReplyStatusType_1_2 reply_status

  Struct member reply_status

### service_context

    public ServiceContext[] service_context

  Struct member service_context

Constructor Detail

### ReplyHeader_1_2

    public ReplyHeader_1_2()

  Default constructor

### ReplyHeader_1_2

    public ReplyHeader_1_2(int request_id,
                           ReplyStatusType_1_2 reply_status,
                           ServiceContext[] service_context)

  Constructor with fields initialization
  Parameters:
    `request_id` - request_id struct member
    `reply_status` - reply_status struct member
    `service_context` - service_context struct member